from flask import Flask
from flask_sqlalchemy import SQLAlchemy
import os

app = Flask(__name__)
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///' + os.getenv('DB_LOC')
app.secret_key = os.environ.get('FGS_SECRET_KEY') or 'default secret key'

db = SQLAlchemy(app)

from .views import *
from .model import *
from .jwt import *
